Subject: bug#46168: terminal-window-size breaks with ssh

From: Ludovic Courtès <[email-masked]>
Date: Tue, 09 Feb 2021 09:32:04 +0100

Hi,

raingloom <[email-masked]> skribis:

> On Thu, 04 Feb 2021 13:55:04 +0100
> Ludovic Courtès <[email-masked]> wrote:
>
>> Hi,
>> 
>> raingloom <[email-masked]> skribis:
>> 
>> > Try running `ssh example.com guix pull` or something else that uses
>> > progress bars. You'll get an "Inappropriate ioctl for device"
>> > instead of Guix simply doing the sensible thing: disabling progress
>> > bars.  
>> 
>> I can’t reproduce this with c852d897551f514de95c224fa79e748f48808068.
>> Specifically, ‘ssh HOST guix pull’ shows me the Git progress bar
>> (while updating channels), and then there are no progress bars for
>> downloads but dots instead (as expected).

[...]

> Of course it does work now. :D
> Looking at `guix pull --list-generations`, the last two before the bug
> are:
> Generation 6	Dec 13 2020 01:47:37
>   guix 1adeb74
> Generation 7	Jan 23 2021 16:47:02
>   guix 0288e21

The problem you observed might have been fixed by
d613c1771a1986d3c0f1e034155fde41f32f9b8e (Dec. 17, 2020).

> ...aaaand I can't see later ones because guix just got killed. Maybe
> the code that computes the differences between generations is not
> terribly memory efficient...

I’m not aware of that.  Could you please report a new bug if you have
more info?

Thanks,
Ludo’.